package lucraft.mods.heroesexpansion.client.models;

import net.minecraft.client.model.ModelBase;
import net.minecraft.client.model.ModelRenderer;
import net.minecraft.client.renderer.GlStateManager;
import net.minecraft.entity.Entity;

/**
 * New hammer - Undefined Created using Tabula 7.0.0
 */
public class ModelStormbreaker extends ModelBase {
    public ModelRenderer shape1;
    public ModelRenderer shape1_1;
    public ModelRenderer shape1_2;
    public ModelRenderer shape1_3;
    public ModelRenderer shape1_4;
    public ModelRenderer shape1_5;
    public ModelRenderer shape1_6;
    public ModelRenderer shape1_7;
    public ModelRenderer shape1_8;
    public ModelRenderer shape1_9;
    public ModelRenderer shape1_10;
    public ModelRenderer shape1_11;
    public ModelRenderer shape1_12;
    public ModelRenderer shape1_13;
    public ModelRenderer shape1_14;
    public ModelRenderer shape1_15;
    public ModelRenderer shape1_16;
    public ModelRenderer shape1_17;
    public ModelRenderer shape1_18;
    public ModelRenderer shape36;
    public ModelRenderer shape1_19;
    public ModelRenderer shape1_20;
    public ModelRenderer shape36_1;
    public ModelRenderer shape1_21;
    public ModelRenderer shape1_22;
    public ModelRenderer shape1_23;
    public ModelRenderer shape1_24;

    public ModelStormbreaker() {
        this(0F);
    }

    public ModelStormbreaker(float scaleFactor) {
        this.textureWidth = 64;
        this.textureHeight = 64;
        this.shape1_11 = new ModelRenderer(this, 55, 3);
        this.shape1_11.setRotationPoint(-5.54F, -18.02F, 1.05F);
        this.shape1_11.addBox(-3.0F, 0.0F, 0.0F, 3, 2, 1, scaleFactor);
        this.setRotateAngle(shape1_11, 0.0F, 0.0F, -0.7853981633974483F);
        this.shape1_15 = new ModelRenderer(this, 52, 14);
        this.shape1_15.setRotationPoint(6.0F, -16.0F, 4.0F);
        this.shape1_15.addBox(-3.0F, 0.0F, -1.0F, 3, 4, 1, scaleFactor);
        this.setRotateAngle(shape1_15, 0.0F, -0.15707963267948966F, 0.0F);
        this.shape1 = new ModelRenderer(this, 0, 0);
        this.shape1.setRotationPoint(0.0F, -11.0F, 0.0F);
        this.shape1.addBox(0.0F, -5.0F, 0.0F, 1, 5, 3, scaleFactor);
        this.setRotateAngle(shape1, -0.05235987755982988F, 0.0F, 0.3839724354387525F);
        this.shape1_16 = new ModelRenderer(this, 0, 15);
        this.shape1_16.setRotationPoint(6.0F, -16.5F, -0.5F);
        this.shape1_16.addBox(-3.0F, 0.0F, 0.0F, 3, 1, 4, scaleFactor);
        this.setRotateAngle(shape1_16, 0.0F, 0.0F, -0.15707963267948966F);
        this.shape1_4 = new ModelRenderer(this, 32, 0);
        this.shape1_4.setRotationPoint(0.0F, -11.0F, 0.5F);
        this.shape1_4.addBox(0.5F, 0.0F, 0.0F, 2, 17, 2, scaleFactor);
        this.shape1_8 = new ModelRenderer(this, 5, 0);
        this.shape1_8.setRotationPoint(1.0F, -18.0F, 0.5F);
        this.shape1_8.addBox(0.0F, 0.0F, 0.0F, 1, 1, 2, scaleFactor);
        this.shape1_18 = new ModelRenderer(this, 24, 15);
        this.shape1_18.setRotationPoint(6.0F, -16.0F, -1.0F);
        this.shape1_18.addBox(-3.0F, 0.0F, 0.0F, 3, 4, 1, scaleFactor);
        this.setRotateAngle(shape1_18, 0.0F, 0.15707963267948966F, 0.0F);
        this.shape1_20 = new ModelRenderer(this, 27, 19);
        this.shape1_20.setRotationPoint(6.0F, -16.5F, -1.0F);
        this.shape1_20.addBox(0.0F, 0.0F, 0.0F, 3, 5, 5, scaleFactor);
        this.shape1_21 = new ModelRenderer(this, 59, 18);
        this.shape1_21.setRotationPoint(0.0F, 0.0F, 0.0F);
        this.shape1_21.addBox(0.0F, 0.0F, 0.0F, 1, 5, 1, scaleFactor);
        this.setRotateAngle(shape1_21, 0.08726646259971647F, 0.0F, -0.6457718232379019F);
        this.shape36_1 = new ModelRenderer(this, 0, 21);
        this.shape36_1.setRotationPoint(-5.0F, -14.0F, 1.7F);
        this.shape36_1.addBox(-1.0F, -0.3F, -0.3F, 6, 1, 1, scaleFactor);
        this.setRotateAngle(shape36_1, 0.7853981633974483F, -0.13264502315156904F, 0.0F);
        this.shape1_14 = new ModelRenderer(this, 52, 6);
        this.shape1_14.setRotationPoint(0.0F, -17.0F, 0.5F);
        this.shape1_14.addBox(0.0F, 0.0F, 0.0F, 3, 6, 2, scaleFactor);
        this.shape1_1 = new ModelRenderer(this, 8, 0);
        this.shape1_1.setRotationPoint(3.0F, -11.0F, 0.0F);
        this.shape1_1.addBox(-1.0F, -5.0F, 0.0F, 1, 5, 3, scaleFactor);
        this.setRotateAngle(shape1_1, -0.017453292519943295F, 0.0F, -0.40142572795869574F);
        this.shape1_3 = new ModelRenderer(this, 24, 0);
        this.shape1_3.setRotationPoint(2.8F, -15.25F, 0.26F);
        this.shape1_3.addBox(-1.0F, -3.0F, 0.0F, 1, 3, 3, scaleFactor);
        this.setRotateAngle(shape1_3, -0.03630284844148206F, -0.03769911184307752F, -0.6625269840570476F);
        this.shape1_9 = new ModelRenderer(this, 12, 6);
        this.shape1_9.setRotationPoint(6.0F, -11.5F, -0.5F);
        this.shape1_9.addBox(-3.0F, -1.0F, 0.0F, 3, 1, 4, scaleFactor);
        this.setRotateAngle(shape1_9, 0.0F, 0.0F, 0.15707963267948966F);
        this.shape1_19 = new ModelRenderer(this, 0, 23);
        this.shape1_19.setRotationPoint(7.8F, -16.75F, -1.25F);
        this.shape1_19.addBox(0.0F, 0.0F, 0.0F, 1, 5, 5, scaleFactor);
        this.shape1_23 = new ModelRenderer(this, 43, 19);
        this.shape1_23.setRotationPoint(-3.0F, 0.0F, 0.0F);
        this.shape1_23.addBox(-2.0F, 0.0F, 0.0F, 2, 8, 1, scaleFactor);
        this.setRotateAngle(shape1_23, 0.0F, 0.0F, -0.5235987755982988F);
        this.shape1_17 = new ModelRenderer(this, 14, 15);
        this.shape1_17.setRotationPoint(2.8F, -16.0F, -0.5F);
        this.shape1_17.addBox(0.0F, 0.0F, 0.0F, 1, 4, 4, scaleFactor);
        this.shape1_24 = new ModelRenderer(this, 49, 19);
        this.shape1_24.setRotationPoint(-3.0F, 0.0F, 0.0F);
        this.shape1_24.addBox(-2.0F, -8.0F, 0.0F, 2, 8, 1, scaleFactor);
        this.setRotateAngle(shape1_24, 0.0F, 0.0F, 0.5235987755982988F);
        this.shape1_22 = new ModelRenderer(this, 38, 19);
        this.shape1_22.setRotationPoint(0.0F, 0.0F, 3.0F);
        this.shape1_22.addBox(-1.0F, 0.0F, -1.0F, 1, 4, 1, scaleFactor);
        this.setRotateAngle(shape1_22, -0.08726646259971647F, 0.0F, 0.767944870877505F);
        this.shape1_6 = new ModelRenderer(this, 46, 0);
        this.shape1_6.setRotationPoint(3.0F, -11.0F, 0.0F);
        this.shape1_6.addBox(-1.0F, 0.0F, 0.3F, 1, 17, 2, scaleFactor);
        this.setRotateAngle(shape1_6, -0.015115378386997476F, 0.008726313967587274F, 0.1221070951966372F);
        this.shape1_13 = new ModelRenderer(this, 22, 6);
        this.shape1_13.setRotationPoint(-5.54F, -9.98F, 1.05F);
        this.shape1_13.addBox(-3.0F, -2.0F, 0.0F, 3, 2, 1, scaleFactor);
        this.setRotateAngle(shape1_13, 0.0F, 0.0F, 0.7853981633974483F);
        this.shape1_2 = new ModelRenderer(this, 16, 0);
        this.shape1_2.setRotationPoint(0.13F, -15.21F, 0.09F);
        this.shape1_2.addBox(0.0F, -3.0F, 0.0F, 1, 3, 3, scaleFactor);
        this.setRotateAngle(shape1_2, -0.009773843811168246F, 0.014486232791552934F, 0.6457718232379019F);
        this.shape36 = new ModelRenderer(this, 0, 21);
        this.shape36.setRotationPoint(-5.0F, -14.0F, 1.1F);
        this.shape36.addBox(-1.0F, -0.3F, -0.3F, 6, 1, 1, scaleFactor);
        this.setRotateAngle(shape36, 0.7853981633974483F, 0.13264502315156904F, 0.0F);
        this.shape1_7 = new ModelRenderer(this, 52, 0);
        this.shape1_7.setRotationPoint(3.0F, -11.0F, 0.0F);
        this.shape1_7.addBox(-1.0F, 0.0F, 0.0F, 1, 3, 1, scaleFactor);
        this.setRotateAngle(shape1_7, 0.09154701236430858F, 0.011450059010290904F, 0.314083849103611F);
        this.shape1_10 = new ModelRenderer(this, 0, 11);
        this.shape1_10.setRotationPoint(0.0F, -15.5F, 1.0F);
        this.shape1_10.addBox(-6.0F, -1.0F, 0.0F, 7, 3, 1, scaleFactor);
        this.setRotateAngle(shape1_10, 0.0F, 0.0F, 0.2617993877991494F);
        this.shape1_12 = new ModelRenderer(this, 16, 11);
        this.shape1_12.setRotationPoint(0.0F, -12.5F, 1.0F);
        this.shape1_12.addBox(-6.0F, -2.0F, 0.0F, 7, 3, 1, scaleFactor);
        this.setRotateAngle(shape1_12, 0.0F, 0.0F, -0.2617993877991494F);
        this.shape1_5 = new ModelRenderer(this, 40, 0);
        this.shape1_5.setRotationPoint(0.0F, -11.0F, 0.0F);
        this.shape1_5.addBox(0.0F, 0.0F, 1.0F, 1, 17, 2, scaleFactor);
        this.setRotateAngle(shape1_5, -0.045727626402251434F, -0.02530727415391778F, -0.12164944886400476F);
        this.shape1.addChild(this.shape1_21);
        this.shape1_11.addChild(this.shape1_23);
        this.shape1_13.addChild(this.shape1_24);
        this.shape1_1.addChild(this.shape1_22);
    }

    public void disableHandle() {
        shape1.showModel = false;
        shape1_1.showModel = false;
        shape1_2.showModel = false;
        shape1_3.showModel = false;
        shape1_4.showModel = false;
        shape1_5.showModel = false;
        shape1_6.showModel = false;
        shape1_7.showModel = false;
        shape1_8.showModel = false;
        shape1_22.showModel = false;
    }

    @Override
    public void render(Entity entity, float f, float f1, float f2, float f3, float f4, float f5) {
        GlStateManager.pushMatrix();
        GlStateManager.translate(this.shape1_11.offsetX, this.shape1_11.offsetY, this.shape1_11.offsetZ);
        GlStateManager.translate(this.shape1_11.rotationPointX * f5, this.shape1_11.rotationPointY * f5, this.shape1_11.rotationPointZ * f5);
        GlStateManager.scale(1.0D, 1.0D, 0.9D);
        GlStateManager.translate(-this.shape1_11.offsetX, -this.shape1_11.offsetY, -this.shape1_11.offsetZ);
        GlStateManager.translate(-this.shape1_11.rotationPointX * f5, -this.shape1_11.rotationPointY * f5, -this.shape1_11.rotationPointZ * f5);
        this.shape1_11.render(f5);
        GlStateManager.popMatrix();
        this.shape1_15.render(f5);
        this.shape1.render(f5);
        this.shape1_16.render(f5);
        this.shape1_4.render(f5);
        this.shape1_8.render(f5);
        this.shape1_18.render(f5);
        this.shape1_20.render(f5);
        GlStateManager.pushMatrix();
        GlStateManager.translate(this.shape36_1.offsetX, this.shape36_1.offsetY, this.shape36_1.offsetZ);
        GlStateManager.translate(this.shape36_1.rotationPointX * f5, this.shape36_1.rotationPointY * f5, this.shape36_1.rotationPointZ * f5);
        GlStateManager.scale(1.0D, 1.0D, 0.4D);
        GlStateManager.translate(-this.shape36_1.offsetX, -this.shape36_1.offsetY, -this.shape36_1.offsetZ);
        GlStateManager.translate(-this.shape36_1.rotationPointX * f5, -this.shape36_1.rotationPointY * f5, -this.shape36_1.rotationPointZ * f5);
        this.shape36_1.render(f5);
        GlStateManager.popMatrix();
        this.shape1_14.render(f5);
        this.shape1_1.render(f5);
        this.shape1_3.render(f5);
        this.shape1_9.render(f5);
        GlStateManager.pushMatrix();
        GlStateManager.translate(this.shape1_19.offsetX, this.shape1_19.offsetY, this.shape1_19.offsetZ);
        GlStateManager.translate(this.shape1_19.rotationPointX * f5, this.shape1_19.rotationPointY * f5, this.shape1_19.rotationPointZ * f5);
        GlStateManager.scale(1.0D, 1.1D, 1.1D);
        GlStateManager.translate(-this.shape1_19.offsetX, -this.shape1_19.offsetY, -this.shape1_19.offsetZ);
        GlStateManager.translate(-this.shape1_19.rotationPointX * f5, -this.shape1_19.rotationPointY * f5, -this.shape1_19.rotationPointZ * f5);
        this.shape1_19.render(f5);
        GlStateManager.popMatrix();
        this.shape1_17.render(f5);
        this.shape1_6.render(f5);
        GlStateManager.pushMatrix();
        GlStateManager.translate(this.shape1_13.offsetX, this.shape1_13.offsetY, this.shape1_13.offsetZ);
        GlStateManager.translate(this.shape1_13.rotationPointX * f5, this.shape1_13.rotationPointY * f5, this.shape1_13.rotationPointZ * f5);
        GlStateManager.scale(1.0D, 1.0D, 0.9D);
        GlStateManager.translate(-this.shape1_13.offsetX, -this.shape1_13.offsetY, -this.shape1_13.offsetZ);
        GlStateManager.translate(-this.shape1_13.rotationPointX * f5, -this.shape1_13.rotationPointY * f5, -this.shape1_13.rotationPointZ * f5);
        this.shape1_13.render(f5);
        GlStateManager.popMatrix();
        this.shape1_2.render(f5);
        GlStateManager.pushMatrix();
        GlStateManager.translate(this.shape36.offsetX, this.shape36.offsetY, this.shape36.offsetZ);
        GlStateManager.translate(this.shape36.rotationPointX * f5, this.shape36.rotationPointY * f5, this.shape36.rotationPointZ * f5);
        GlStateManager.scale(1.0D, 1.0D, 0.4D);
        GlStateManager.translate(-this.shape36.offsetX, -this.shape36.offsetY, -this.shape36.offsetZ);
        GlStateManager.translate(-this.shape36.rotationPointX * f5, -this.shape36.rotationPointY * f5, -this.shape36.rotationPointZ * f5);
        this.shape36.render(f5);
        GlStateManager.popMatrix();
        this.shape1_7.render(f5);
        this.shape1_10.render(f5);
        GlStateManager.pushMatrix();
        GlStateManager.translate(this.shape1_12.offsetX, this.shape1_12.offsetY, this.shape1_12.offsetZ);
        GlStateManager.translate(this.shape1_12.rotationPointX * f5, this.shape1_12.rotationPointY * f5, this.shape1_12.rotationPointZ * f5);
        GlStateManager.scale(1.0D, 1.0D, 1.05D);
        GlStateManager.translate(-this.shape1_12.offsetX, -this.shape1_12.offsetY, -this.shape1_12.offsetZ);
        GlStateManager.translate(-this.shape1_12.rotationPointX * f5, -this.shape1_12.rotationPointY * f5, -this.shape1_12.rotationPointZ * f5);
        this.shape1_12.render(f5);
        GlStateManager.popMatrix();
        this.shape1_5.render(f5);
    }

    public void renderModel(float f) {
        GlStateManager.pushMatrix();
        GlStateManager.translate(this.shape1_11.offsetX, this.shape1_11.offsetY, this.shape1_11.offsetZ);
        GlStateManager.translate(this.shape1_11.rotationPointX * f, this.shape1_11.rotationPointY * f, this.shape1_11.rotationPointZ * f);
        GlStateManager.scale(1.0D, 1.0D, 0.9D);
        GlStateManager.translate(-this.shape1_11.offsetX, -this.shape1_11.offsetY, -this.shape1_11.offsetZ);
        GlStateManager.translate(-this.shape1_11.rotationPointX * f, -this.shape1_11.rotationPointY * f, -this.shape1_11.rotationPointZ * f);
        this.shape1_11.render(f);
        GlStateManager.popMatrix();
        this.shape1_15.render(f);
        this.shape1.render(f);
        this.shape1_16.render(f);
        this.shape1_4.render(f);
        this.shape1_8.render(f);
        this.shape1_18.render(f);
        this.shape1_20.render(f);
        GlStateManager.pushMatrix();
        GlStateManager.translate(this.shape36_1.offsetX, this.shape36_1.offsetY, this.shape36_1.offsetZ);
        GlStateManager.translate(this.shape36_1.rotationPointX * f, this.shape36_1.rotationPointY * f, this.shape36_1.rotationPointZ * f);
        GlStateManager.scale(1.0D, 1.0D, 0.4D);
        GlStateManager.translate(-this.shape36_1.offsetX, -this.shape36_1.offsetY, -this.shape36_1.offsetZ);
        GlStateManager.translate(-this.shape36_1.rotationPointX * f, -this.shape36_1.rotationPointY * f, -this.shape36_1.rotationPointZ * f);
        this.shape36_1.render(f);
        GlStateManager.popMatrix();
        this.shape1_14.render(f);
        this.shape1_1.render(f);
        this.shape1_3.render(f);
        this.shape1_9.render(f);
        GlStateManager.pushMatrix();
        GlStateManager.translate(this.shape1_19.offsetX, this.shape1_19.offsetY, this.shape1_19.offsetZ);
        GlStateManager.translate(this.shape1_19.rotationPointX * f, this.shape1_19.rotationPointY * f, this.shape1_19.rotationPointZ * f);
        GlStateManager.scale(1.0D, 1.1D, 1.1D);
        GlStateManager.translate(-this.shape1_19.offsetX, -this.shape1_19.offsetY, -this.shape1_19.offsetZ);
        GlStateManager.translate(-this.shape1_19.rotationPointX * f, -this.shape1_19.rotationPointY * f, -this.shape1_19.rotationPointZ * f);
        this.shape1_19.render(f);
        GlStateManager.popMatrix();
        this.shape1_17.render(f);
        this.shape1_6.render(f);
        GlStateManager.pushMatrix();
        GlStateManager.translate(this.shape1_13.offsetX, this.shape1_13.offsetY, this.shape1_13.offsetZ);
        GlStateManager.translate(this.shape1_13.rotationPointX * f, this.shape1_13.rotationPointY * f, this.shape1_13.rotationPointZ * f);
        GlStateManager.scale(1.0D, 1.0D, 0.9D);
        GlStateManager.translate(-this.shape1_13.offsetX, -this.shape1_13.offsetY, -this.shape1_13.offsetZ);
        GlStateManager.translate(-this.shape1_13.rotationPointX * f, -this.shape1_13.rotationPointY * f, -this.shape1_13.rotationPointZ * f);
        this.shape1_13.render(f);
        GlStateManager.popMatrix();
        this.shape1_2.render(f);
        GlStateManager.pushMatrix();
        GlStateManager.translate(this.shape36.offsetX, this.shape36.offsetY, this.shape36.offsetZ);
        GlStateManager.translate(this.shape36.rotationPointX * f, this.shape36.rotationPointY * f, this.shape36.rotationPointZ * f);
        GlStateManager.scale(1.0D, 1.0D, 0.4D);
        GlStateManager.translate(-this.shape36.offsetX, -this.shape36.offsetY, -this.shape36.offsetZ);
        GlStateManager.translate(-this.shape36.rotationPointX * f, -this.shape36.rotationPointY * f, -this.shape36.rotationPointZ * f);
        this.shape36.render(f);
        GlStateManager.popMatrix();
        this.shape1_7.render(f);
        this.shape1_10.render(f);
        GlStateManager.pushMatrix();
        GlStateManager.translate(this.shape1_12.offsetX, this.shape1_12.offsetY, this.shape1_12.offsetZ);
        GlStateManager.translate(this.shape1_12.rotationPointX * f, this.shape1_12.rotationPointY * f, this.shape1_12.rotationPointZ * f);
        GlStateManager.scale(1.0D, 1.0D, 1.05D);
        GlStateManager.translate(-this.shape1_12.offsetX, -this.shape1_12.offsetY, -this.shape1_12.offsetZ);
        GlStateManager.translate(-this.shape1_12.rotationPointX * f, -this.shape1_12.rotationPointY * f, -this.shape1_12.rotationPointZ * f);
        this.shape1_12.render(f);
        GlStateManager.popMatrix();
        this.shape1_5.render(f);
    }

    public void setRotateAngle(ModelRenderer modelRenderer, float x, float y, float z) {
        modelRenderer.rotateAngleX = x;
        modelRenderer.rotateAngleY = y;
        modelRenderer.rotateAngleZ = z;
    }
}